| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | List of all members
Ogre::CompositionTechnique Class Reference
Core » Effects

Base composition technique, can be subclassed in plugins. More...

`#include <OgreCompositionTechnique.h>`

Inheritance diagram for Ogre::CompositionTechnique:
[legend]

## Classes
class | TextureDefinition
| Local texture definition. More...

## Public Types
typedef std::vector< CompositionTargetPass * > | TargetPasses
| Typedefs for several iterators. More...
typedef VectorIterator< TargetPasses > | TargetPassIterator
typedef VectorIterator< TextureDefinitions > | TextureDefinitionIterator
typedef std::vector< TextureDefinition * > | TextureDefinitions
enum | TextureScope { TS_LOCAL, TS_CHAIN, TS_GLOBAL }

## Public Member Functions
| CompositionTechnique (Compositor *parent)
virtual | ~CompositionTechnique ()
CompositionTargetPass * | createTargetPass ()
| Create a new target pass, and return a pointer to it. More...
TextureDefinition * | createTextureDefinition (const String &name)
| Create a new local texture definition, and return a pointer to it. More...
const String & | getCompositorLogicName () const
| Get the compositor logic name assigned to this technique. More...
size_t | getNumTargetPasses ()
| Get the number of target passes. More...
size_t | getNumTextureDefinitions ()
| Get the number of local texture definitions. More...
CompositionTargetPass * | getOutputTargetPass ()
| Get output (final) target pass. More...
Compositor * | getParent ()
| Get parent object. More...
const String & | getSchemeName () const
| Get the scheme name assigned to this technique. More...
CompositionTargetPass * | getTargetPass (size_t idx)
| Get a target pass. More...
const TargetPasses & | getTargetPasses () const
| Get the TargetPasses in this Technique. More...
TargetPassIterator | getTargetPassIterator (void)
TextureDefinition * | getTextureDefinition (size_t idx)
| Get a local texture definition. More...
TextureDefinition * | getTextureDefinition (const String &name)
| Get a local texture definition with a specific name. More...
TextureDefinitionIterator | getTextureDefinitionIterator (void)
const TextureDefinitions & | getTextureDefinitions () const
| Get the TextureDefinitions in this Technique. More...
virtual bool | isSupported (bool allowTextureDegradation)
| Determine if this technique is supported on the current rendering device. More...
void | removeAllTargetPasses ()
| Remove all target passes. More...
void | removeAllTextureDefinitions ()
| Remove all Texture Definitions. More...
void | removeTargetPass (size_t idx)
| Remove a target pass. More...
void | removeTextureDefinition (size_t idx)
| Remove and destroy a local texture definition. More...
void | setCompositorLogicName (const String &compositorLogicName)
| Set the name of the compositor logic assigned to this technique. More...
virtual void | setSchemeName (const String &schemeName)
| Assign a scheme name to this technique, used to switch between multiple techniques by choice rather than for hardware compatibility. More...

## Detailed Description

Base composition technique, can be subclassed in plugins.

## Member Typedef Documentation

## ◆ TargetPasses

typedef std::vector<CompositionTargetPass *> Ogre::CompositionTechnique::TargetPasses

Typedefs for several iterators.

## ◆ TargetPassIterator

typedef VectorIterator<TargetPasses> Ogre::CompositionTechnique::TargetPassIterator

## ◆ TextureDefinitions

typedef std::vector<TextureDefinition*> Ogre::CompositionTechnique::TextureDefinitions

## ◆ TextureDefinitionIterator

typedef VectorIterator<TextureDefinitions> Ogre::CompositionTechnique::TextureDefinitionIterator

## Member Enumeration Documentation

## ◆ TextureScope

enum Ogre::CompositionTechnique::TextureScope

Enumerator
TS_LOCAL |
TS_CHAIN |
TS_GLOBAL |

## Constructor & Destructor Documentation

## ◆ CompositionTechnique()

Ogre::CompositionTechnique::CompositionTechnique | ( | Compositor * | parent | ) |

## ◆ ~CompositionTechnique()

virtual Ogre::CompositionTechnique::~CompositionTechnique | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createTextureDefinition()

TextureDefinition* Ogre::CompositionTechnique::createTextureDefinition | ( | const String & | name | ) |

Create a new local texture definition, and return a pointer to it.

Parameters

  name | Name of the local texture

## ◆ removeTextureDefinition()

void Ogre::CompositionTechnique::removeTextureDefinition | ( | size_t | idx | ) |

Remove and destroy a local texture definition.

## ◆ getTextureDefinition() [1/2]

TextureDefinition* Ogre::CompositionTechnique::getTextureDefinition | ( | size_t | idx | ) |

Get a local texture definition.

Deprecated:
  use getTextureDefinitions()

## ◆ getTextureDefinition() [2/2]

TextureDefinition* Ogre::CompositionTechnique::getTextureDefinition | ( | const String & | name | ) |

Get a local texture definition with a specific name.

## ◆ getNumTextureDefinitions()

size_t Ogre::CompositionTechnique::getNumTextureDefinitions | ( |  | ) |

Get the number of local texture definitions.

Deprecated:
  use getTextureDefinitions()

## ◆ removeAllTextureDefinitions()

void Ogre::CompositionTechnique::removeAllTextureDefinitions | ( |  | ) |

Remove all Texture Definitions.

## ◆ getTextureDefinitions()

const TextureDefinitions& Ogre::CompositionTechnique::getTextureDefinitions | ( |  | ) | const
| inline

Get the TextureDefinitions in this Technique.

## ◆ getTextureDefinitionIterator()

TextureDefinitionIterator Ogre::CompositionTechnique::getTextureDefinitionIterator | ( | void |  | ) |

Deprecated:
  use getTextureDefinitions()

## ◆ createTargetPass()

CompositionTargetPass* Ogre::CompositionTechnique::createTargetPass | ( |  | ) |

Create a new target pass, and return a pointer to it.

## ◆ removeTargetPass()

void Ogre::CompositionTechnique::removeTargetPass | ( | size_t | idx | ) |

Remove a target pass.

It will also be destroyed.

## ◆ getTargetPass()

CompositionTargetPass* Ogre::CompositionTechnique::getTargetPass | ( | size_t | idx | ) |

Get a target pass.

Deprecated:
  use getTargetPasses()

## ◆ getNumTargetPasses()

size_t Ogre::CompositionTechnique::getNumTargetPasses | ( |  | ) |

Get the number of target passes.

Deprecated:
  use getTargetPasses()

## ◆ removeAllTargetPasses()

void Ogre::CompositionTechnique::removeAllTargetPasses | ( |  | ) |

Remove all target passes.

## ◆ getTargetPasses()

const TargetPasses& Ogre::CompositionTechnique::getTargetPasses | ( |  | ) | const
| inline

Get the TargetPasses in this Technique.

## ◆ getTargetPassIterator()

TargetPassIterator Ogre::CompositionTechnique::getTargetPassIterator | ( | void |  | ) |

Deprecated:
  use getTargetPasses()

## ◆ getOutputTargetPass()

CompositionTargetPass* Ogre::CompositionTechnique::getOutputTargetPass | ( |  | ) |

Get output (final) target pass.

## ◆ isSupported()

virtual bool Ogre::CompositionTechnique::isSupported | ( | bool | allowTextureDegradation | ) |
| virtual

Determine if this technique is supported on the current rendering device.

Parameters

  allowTextureDegradation | True to accept a reduction in texture depth

## ◆ setSchemeName()

virtual void Ogre::CompositionTechnique::setSchemeName | ( | const String & | schemeName | ) |
| virtual

Assign a scheme name to this technique, used to switch between multiple techniques by choice rather than for hardware compatibility.

## ◆ getSchemeName()

const String& Ogre::CompositionTechnique::getSchemeName | ( |  | ) | const
| inline

Get the scheme name assigned to this technique.

## ◆ setCompositorLogicName()

void Ogre::CompositionTechnique::setCompositorLogicName | ( | const String & | compositorLogicName | ) |
| inline

Set the name of the compositor logic assigned to this technique.

Instances of this technique will be auto-coupled with the matching logic.

## ◆ getCompositorLogicName()

const String& Ogre::CompositionTechnique::getCompositorLogicName | ( |  | ) | const
| inline

Get the compositor logic name assigned to this technique.

## ◆ getParent()

Compositor* Ogre::CompositionTechnique::getParent | ( |  | ) |

Get parent object.

The documentation for this class was generated from the following file:

- OgreCompositionTechnique.h